Bug 621291 - JBoss AS Embedded Tomcat connector does not detect the address correctly in certain cases
Summary: JBoss AS Embedded Tomcat connector does not detect the address correctly in c...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Plugins   
(Show other bugs)
Version: 1.3
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon241-bugs
TreeView+ depends on / blocked
 
Reported: 2010-08-04 17:23 UTC by Marc Shirley
Modified: 2018-10-27 16:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (115.05 KB, image/png)
2010-11-02 09:11 UTC, Rajan Timaniya
no flags Details
Screenshot_Address (127.62 KB, image/png)
2010-11-19 07:39 UTC, Sunil Kondkar
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JOPR-399 None None None Never
Red Hat Bugzilla 621294 None None None Never

Internal Trackers: 621294

Description Marc Shirley 2010-08-04 17:23:09 UTC
Description of problem:
JON 2.3.0 version does not detect the address of JBoss AS embedded Tomcat on discovery.

How reproducible:
Very

Steps to Reproduce:
1. Install and run JON 2.3.0 server
2. Install and run 2.3.0 agent
3. Check JON AS server for property value.  
   - RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)
     - Resources
       - Embedded JBossWeb Server 2.0.1.GA (0.0.0.0)
         - Connector(3)
           - Tomcat Connector (7080)
               Inventory->Connection, 'Address' property will be blank.

Comment 1 Ian Springer 2010-08-09 19:14:53 UTC
This is the same issue as https://jira.jboss.org/browse/JOPR-399 and was fixed in RHQ 1.3.1 (JON 2.3.1), as well as the RHQ 1.3.0 CP branch.

Comment 2 Charles Crouch 2010-11-02 01:08:07 UTC
Tag this as 2.4.1 to get it QA'd

Comment 3 Rajan Timaniya 2010-11-02 09:10:36 UTC
Verified on RHQ-Release build #420

Steps
1. Install and run JON 2.3.0 server
2. Install and run 2.3.0 agent
3. Check JON AS server for property value.  
   - RHQ Server, JBoss AS 4.2.3.GA default (0.0.0.0:2099)
     - Resources
       - Embedded JBossWeb Server 2.0.1.GA (0.0.0.0)
         - Connector(3)
           - Connector (7080)  (Tomcat)
               Inventory->Connection, observe 'Address' property

Observation:
Address property is not blank, it has '0.0.0.0' value.

Comment 4 Rajan Timaniya 2010-11-02 09:11:31 UTC
Created attachment 457120 [details]
screenshot

Comment 5 Sunil Kondkar 2010-11-19 07:38:03 UTC
Reverified this against jon-server-2.4.1-SNAPSHOT build# 24.

Navigated to JBoss AS 4.2.3.GA->Resources->Embedded JBossWeb Server->Connector (7080)
The address property displays '0.0.0.0' value at            Inventory->Connection->'Address' property

Please refer the attached screenshot.

Comment 6 Sunil Kondkar 2010-11-19 07:39:54 UTC
Created attachment 461478 [details]
Screenshot_Address

Comment 7 Corey Welton 2011-05-24 01:15:43 UTC
Bookkeeping - closing bug - fixed in recent release.

Comment 8 Corey Welton 2011-05-24 01:15:46 UTC
Bookkeeping - closing bug - fixed in recent release.

Comment 9 Corey Welton 2011-05-24 01:15:46 UTC
Bookkeeping - closing bug - fixed in recent release.

Comment 10 Corey Welton 2011-05-24 01:15:47 UTC
Bookkeeping - closing bug - fixed in recent release.


Note You need to log in before you can comment on or make changes to this bug.